From 09616dd18928ba10ff9fab468d5991072a8154d1 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sun, 15 Dec 2024 09:04:21 +0000
Subject: [PATCH] boost: upgrade 1.86.0 -> 1.87.0

---
 .../boost/{boost-1.86.0.inc => boost-1.87.0.inc}          | 2 +-
 ...t-set-up-arch-instruction-set-flags-we-do-that-o.patch | 2 +-
 .../boost/0001-dont-setup-compiler-flags-m32-m64.patch    | 2 +-
 .../boost/boost/boost-math-disable-pch-for-gcc.patch      | 8 ++++----
 .../boost/{boost_1.86.0.bb => boost_1.87.0.bb}            | 0
 5 files changed, 7 insertions(+), 7 deletions(-)
 rename meta/recipes-support/boost/{boost-1.86.0.inc => boost-1.87.0.inc} (90%)
 rename meta/recipes-support/boost/{boost_1.86.0.bb => boost_1.87.0.bb} (100%)

diff --git a/meta/recipes-support/boost/boost-1.86.0.inc b/meta/recipes-support/boost/boost-1.87.0.inc
similarity index 90%
rename from meta/recipes-support/boost/boost-1.86.0.inc
rename to meta/recipes-support/boost/boost-1.87.0.inc
index 2378b27575..320ec51e36 100644
--- a/meta/recipes-support/boost/boost-1.86.0.inc
+++ b/meta/recipes-support/boost/boost-1.87.0.inc
@@ -12,7 +12,7 @@ BOOST_MAJ = "${@"_".join(d.getVar("PV").split(".")[0:2])}"
 BOOST_P = "boost_${BOOST_VER}"
 
 SRC_URI = "https://boostorg.jfrog.io/artifactory/main/release/${PV}/source/${BOOST_P}.tar.bz2"
-SRC_URI[sha256sum] = "1bed88e40401b2cb7a1f76d4bab499e352fa4d0c5f31c0dbae64e24d34d7513b"
+SRC_URI[sha256sum] = "af57be25cb4c4f4b413ed692fe378affb4352ea50fbe294a11ef548f4d527d89"
 
 UPSTREAM_CHECK_URI = "http://www.boost.org/users/download/"
 UPSTREAM_CHECK_REGEX = "release/(?P<pver>.*)/source/"
diff --git a/meta/recipes-support/boost/boost/0001-Don-t-set-up-arch-instruction-set-flags-we-do-that-o.patch b/meta/recipes-support/boost/boost/0001-Don-t-set-up-arch-instruction-set-flags-we-do-that-o.patch
index 78f652f619..36749fd9e4 100644
--- a/meta/recipes-support/boost/boost/0001-Don-t-set-up-arch-instruction-set-flags-we-do-that-o.patch
+++ b/meta/recipes-support/boost/boost/0001-Don-t-set-up-arch-instruction-set-flags-we-do-that-o.patch
@@ -1,4 +1,4 @@
-From f88354966fe3af33fd6d9ec889a8e3926b886a8a Mon Sep 17 00:00:00 2001
+From 90f130d2132d353ffa2500db2840165d093decd5 Mon Sep 17 00:00:00 2001
 From: Alexander Kanavin <alex.kanavin@gmail.com>
 Date: Tue, 18 Dec 2018 15:42:57 +0100
 Subject: [PATCH] Don't set up arch/instruction-set flags, we do that
diff --git a/meta/recipes-support/boost/boost/0001-dont-setup-compiler-flags-m32-m64.patch b/meta/recipes-support/boost/boost/0001-dont-setup-compiler-flags-m32-m64.patch
index 8f130348b0..0502a3396e 100644
--- a/meta/recipes-support/boost/boost/0001-dont-setup-compiler-flags-m32-m64.patch
+++ b/meta/recipes-support/boost/boost/0001-dont-setup-compiler-flags-m32-m64.patch
@@ -1,4 +1,4 @@
-From 7130850d74863d1e9a0ae3e85462f1466bdf6d88 Mon Sep 17 00:00:00 2001
+From 455f36af15a93983ac16c6c1705c45feb0f91291 Mon Sep 17 00:00:00 2001
 From: Anuj Mittal <anuj.mittal@intel.com>
 Date: Thu, 14 Nov 2019 10:13:53 +0800
 Subject: [PATCH] dont setup compiler flags -m32/-m64
diff --git a/meta/recipes-support/boost/boost/boost-math-disable-pch-for-gcc.patch b/meta/recipes-support/boost/boost/boost-math-disable-pch-for-gcc.patch
index dde21fa076..bb0afb0c5e 100644
--- a/meta/recipes-support/boost/boost/boost-math-disable-pch-for-gcc.patch
+++ b/meta/recipes-support/boost/boost/boost-math-disable-pch-for-gcc.patch
@@ -1,4 +1,4 @@
-From c6009cdc1fe76db0092443593396e4d5f0eaa86b Mon Sep 17 00:00:00 2001
+From 494bff512fef8be4760469fc132e3e0f24e7cd6c Mon Sep 17 00:00:00 2001
 From: Jackie Huang <jackie.huang@windriver.com>
 Date: Fri, 23 Sep 2016 01:04:50 -0700
 Subject: [PATCH] boost-math: disable pch for gcc
@@ -14,11 +14,11 @@ Signed-off-by: Jackie Huang <jackie.huang@windriver.com>
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/libs/math/build/Jamfile.v2 b/libs/math/build/Jamfile.v2
-index 6549e06b7..342cbf0b1 100644
+index 500c77363..504d7d8c6 100644
 --- a/libs/math/build/Jamfile.v2
 +++ b/libs/math/build/Jamfile.v2
-@@ -13,7 +13,7 @@ project
-       <toolset>intel-win:<linkflags>-nologo 
+@@ -15,7 +15,7 @@ project
+       <toolset>intel-win:<linkflags>-nologo
        #<toolset>intel-linux:<pch>off
        <toolset>intel-darwin:<pch>off
 -      <toolset>gcc,<target-os>windows:<pch>off
diff --git a/meta/recipes-support/boost/boost_1.86.0.bb b/meta/recipes-support/boost/boost_1.87.0.bb
similarity index 100%
rename from meta/recipes-support/boost/boost_1.86.0.bb
rename to meta/recipes-support/boost/boost_1.87.0.bb
-- 
2.44.1

